
DeadDrop - Feature #22

Customize End2End Encryption Options

07/18/2023 11:29 AM - Sancho Fock

Status: Closed Start date: 11/09/2023

Priority: Normal Due date: 11/09/2023

Assignee: Sancho Fock % Done: 100%

Category: Client Estimated time: 80:00 hours

Target version: 0.5.x   

Description

The User shall be able to select the encryption type(simplecrypt, AES, DES etc) and options (key length etc) for end to end

encrypted Drops.

Related issues:

Precedes Feature #63: Reinit Simplecrypt Session key on ech Session Closed 11/10/2023 11/12/2023

Follows Feature #24: Attach from Camera Closed 11/08/2023 11/08/2023

History

#1 - 07/18/2023 01:02 PM - Sancho Fock

- Estimated time set to 80:00 h

#2 - 08/09/2023 12:07 AM - Sancho Fock

- Target version changed from open to 0.5.x

#3 - 08/09/2023 12:15 AM - Sancho Fock

- Due date set to 08/11/2023

- Start date changed from 07/18/2023 to 08/11/2023

- Follows Feature #28: Share / Invite Drops by Bluetooth added

#4 - 08/09/2023 12:16 AM - Sancho Fock

- Due date changed from 08/11/2023 to 09/08/2023

- Start date changed from 08/11/2023 to 09/08/2023

#5 - 10/02/2023 10:50 AM - Sancho Fock

- Due date changed from 10/13/2023 to 10/17/2023

- Start date changed from 10/13/2023 to 10/17/2023

#6 - 10/02/2023 04:39 PM - Sancho Fock

- Due date changed from 10/17/2023 to 10/13/2023

- Start date changed from 10/17/2023 to 10/13/2023

#7 - 10/02/2023 04:40 PM - Sancho Fock

- Due date changed from 10/13/2023 to 10/16/2023

- Start date changed from 10/13/2023 to 10/16/2023

#8 - 10/03/2023 01:14 AM - Sancho Fock

- Due date changed from 10/16/2023 to 10/17/2023

- Start date changed from 10/16/2023 to 10/17/2023

#9 - 10/07/2023 11:15 PM - Sancho Fock

- Due date changed from 10/17/2023 to 10/19/2023

- Start date changed from 10/17/2023 to 10/19/2023
#10 - 10/07/2023 11:23 PM - Sancho Fock

- Due date changed from 10/19/2023 to 10/20/2023

- Start date changed from 10/19/2023 to 10/20/2023

#11 - 10/07/2023 11:34 PM - Sancho Fock

- Precedes Feature #41: Add Rescue Password added

#12 - 10/16/2023 12:15 AM - Sancho Fock

- Due date changed from 11/23/2023 to 11/27/2023

- Start date changed from 11/23/2023 to 11/27/2023

#13 - 10/16/2023 12:16 AM - Sancho Fock

- Due date changed from 11/27/2023 to 11/29/2023

- Start date changed from 11/27/2023 to 11/29/2023

#14 - 10/16/2023 12:17 AM - Sancho Fock

- Due date changed from 11/29/2023 to 12/19/2023

- Start date changed from 11/29/2023 to 12/19/2023

#15 - 10/16/2023 12:18 AM - Sancho Fock

- Due date changed from 12/19/2023 to 01/08/2024

- Start date changed from 12/19/2023 to 01/08/2024

#16 - 10/16/2023 12:18 AM - Sancho Fock

- Due date changed from 01/08/2024 to 01/28/2024

#17 - 10/18/2023 12:45 PM - Sancho Fock

- Precedes Feature #60: Add 2nd Transport Layer Encryption added

#18 - 10/18/2023 12:49 PM - Sancho Fock

- Precedes deleted (Feature #41: Add Rescue Password)

#19 - 10/18/2023 12:51 PM - Sancho Fock

- Precedes Feature #63: Reinit Simplecrypt Session key on ech Session added

#20 - 10/18/2023 12:52 PM - Sancho Fock

- Precedes deleted (Feature #60: Add 2nd Transport Layer Encryption)

#21 - 10/30/2023 03:48 PM - Sancho Fock

- Follows deleted (Feature #28: Share / Invite Drops by Bluetooth)

#22 - 10/30/2023 03:48 PM - Sancho Fock

- Due date changed from 01/24/2024 to 12/11/2023

- Start date changed from 01/03/2024 to 11/20/2023

- Follows Feature #24: Attach from Camera added

#23 - 10/31/2023 10:58 PM - Sancho Fock

Change foundaries like how to determine wich encryption type is used for the drop.

Change UI to select the encryption type

Change Simplecrypt key usage to V2 or configurable?

Add AES

Add DES

Add DES3

Add Blowfish

Add Twofish

Add the Option for Drop Passwords?
#24 - 11/07/2023 11:02 PM - Sancho Fock

- Due date changed from 12/07/2023 to 12/05/2023

- Start date changed from 11/16/2023 to 11/14/2023

#25 - 11/08/2023 10:35 PM - Sancho Fock

- Due date changed from 12/05/2023 to 11/30/2023

- Start date changed from 11/14/2023 to 11/09/2023

#26 - 11/09/2023 12:39 AM - Sancho Fock

- Status changed from New to In Progress

#27 - 11/09/2023 02:05 PM - Sancho Fock

- % Done changed from 0 to 10

#28 - 11/09/2023 04:34 PM - Sancho Fock

- % Done changed from 10 to 50

#29 - 11/09/2023 10:11 PM - Sancho Fock

- Due date changed from 11/30/2023 to 11/09/2023

- Status changed from In Progress to Closed

- % Done changed from 50 to 100
